### Function

# EDataServer util_strv_to_slist

since: 3.4

#### Declaration [src]

    GSList*
    e_util_strv_to_slist (
      const gchar* const* strv
    )

#### Description [src]

Convert NULL-terminated array of strings to a list of strings.

Available since: 3.4

#### Parameters

`strv`

  Type: `const gchar* const*`

  A NULL-terminated array of strings (const gchar *).

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: A list of `utf8`

Newly allocated `GSList` of newly allocated strings. The returned pointer should be freed with e_util_free_string_slist().

Note: Pair function for this is e_util_slist_to_strv().

The caller of the function takes ownership of the data, and is responsible for freeing it.
Each element is a NUL terminated UTF-8 string.